/*
 * Copyright (c) 2007, 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: W2JDLR4002Client.java 62536 2011-04-15 16:35:14Z af70133 $
 */

/* Copyright (c) 2003 Oracle Corporation.  All rights reserved.  */
package com.sun.ts.tests.jaxrpc.wsi.w2j.document.literal.R4002;

import com.sun.ts.lib.harness.EETest;
import com.sun.ts.tests.jaxrpc.sharedclients.SOAPClient;
import com.sun.ts.tests.jaxrpc.wsi.constants.CTSConstants;

public class W2JDLR4002Client extends SOAPClient {
    public W2JDLR4002Client(String webServerHost, int webServerPort, int mode) throws EETest.Fault {
        super(webServerHost, webServerPort, mode);
        stubContext.setNamespace("http://w2jdlr4002testservice.org/W2JDLR4002TestService.wsdl");
        stubContext.setService("W2JDLR4002TestService");
        stubContext.setPortPrefix("W2JDLR4002Test");
        stubContext.setServiceInterface(W2JDLR4002Test.class);
    }

    protected String getEndpointURLProperty() {
        return CTSConstants.w2jdlr4002EndpointProperty;
    }

    protected String getWSDLURLProperty() {
        return CTSConstants.w2jdlr4002WSDLProperty;
    }

    public String echoString(String str) throws Exception {
        return ((W2JDLR4002Test)stubContext.getStub()).echoString(str);
    }
}
